// AddWell.cpp : implementation file
//

#include "stdafx.h"
#include "BemInp.h"
#include "AddWell.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddWell dialog


CAddWell::CAddWell(CWnd* pParent /*=NULL*/)
	: CDialog(CAddWell::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAddWell)
	m_diam = 0.0f;
	m_name = _T("");
	m_x = 0.0f;
	m_y = 0.0f;
	m_q = 0.0f;
	//}}AFX_DATA_INIT
}


void CAddWell::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddWell)
	DDX_Text(pDX, IDC_DIAM, m_diam);
	DDX_Text(pDX, IDC_WELL_NAME, m_name);
	DDX_Text(pDX, IDC_X_WELL, m_x);
	DDX_Text(pDX, IDC_Y_WELL, m_y);
	DDX_Text(pDX, IDC_YIELD, m_q);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddWell, CDialog)
	//{{AFX_MSG_MAP(CAddWell)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddWell message handlers
